MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024736Open CASCADE[OCCT] OCCT:DRAWpublic2014-03-19 11:562014-05-05 13:39
Reportermkv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.7.1 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024736: There is new additional compilation warning on Linux platform
DescriptionThere is new additional compilation warning on Linux platform:

QABugs_19.cxx:1692, GNU C Compiler 4 (gcc), Priority: Normal
missing braces around initializer for ‘Standard_Byte [3]’
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0028349)
kgv (developer)
2014-03-19 12:33

Please test branch CR24736.
(0028378)
mkv (tester)
2014-03-20 10:22

Dear BugMaster,

Branch CR24736 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 01b6debdb0d4b54a36bd0b40f79492b59c939a92

Number of compiler warnings:

occt component :
Linux: 29 (30 on master)
Windows: 0 (0 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 385713972 / 386276008
Total CPU difference: 51058.3000000001 / 48827.5

Testing on Windows:
Total MEMORY difference: 431867972 / 430913404
Total CPU difference: 32995.921875 / 35761.53125

There are no differences in images found by testdiff.

- Related Changesets
occt: master b56dd33f
Timestamp: 2014-03-19 08:32:39
Author: kgv
Committer: bugmaster
Details ] Diff ]
0024736: There is new additional compilation warning on Linux platform
mod - src/QABugs/QABugs_19.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-03-19 11:56 mkv New Issue
2014-03-19 11:56 mkv Assigned To => mkv
2014-03-19 11:57 mkv Assigned To mkv => kgv
2014-03-19 11:57 mkv Status new => assigned
2014-03-19 11:58 mkv Relationship added child of 0024622
2014-03-19 12:33 kgv Note Added: 0028349
2014-03-19 12:33 kgv Assigned To kgv => bugmaster
2014-03-19 12:33 kgv Severity major => trivial
2014-03-19 12:33 kgv Status assigned => resolved
2014-03-19 12:33 kgv Target Version => 6.7.1
2014-03-19 12:33 kgv Status resolved => reviewed
2014-03-19 14:52 mkv Assigned To bugmaster => mkv
2014-03-20 10:22 mkv Note Added: 0028378
2014-03-20 10:22 mkv Test case number => Not needed
2014-03-20 10:22 mkv Assigned To mkv => bugmaster
2014-03-20 10:22 mkv Status reviewed => tested
2014-03-21 16:18 bugmaster Changeset attached => occt master b56dd33f
2014-03-21 16:18 bugmaster Status tested => verified
2014-03-21 16:18 bugmaster Resolution open => fixed
2014-04-04 11:54 abv Target Version 6.7.1 => 6.8.0
2014-04-10 14:25 abv Product Version => 6.7.1
2014-04-10 14:25 abv Target Version 6.8.0 => 6.7.1
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 aiv Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker